FREEFOAM-GMSHTOFOAM(1)

NAME
freefoam-gmshToFoam - Reads .msh file as written by Gmsh.

SYNOPSIS

freefoam gmshToFoam <.msh file> [-keepOrientation] [-help] [-srcDoc] [-doc]

DESCRIPTION

Needs surface elements on mesh to be present and aligned with outside faces of the mesh. I.e. if the mesh is hexes, the outside faces need to be quads

OPTIONS

<.msh file>
    TODO Detailed description of argument.

-keepOrientation
    Do not check ordering.

-help
    Display help message.

-doc
    Display Doxygen API documentation page for this application.

-srcDoc
    Display Doxygen source documentation page for this application.

NOTE

There is something seriously wrong with the ordering written in the .msh file. Normal operation is to check the ordering and invert prisms and hexes if found to be wrong way round. Use the -keepOrientation to keep the raw information.

The code now uses the element (cell,face) physical region id number to create cell zones and faces zones (similar to fluentMeshWithInternalFaces).

A use of the cell zone information, is for field initialization with the "setFields" utility. see the classes: topoSetSource, zoneToCell.

SEE ALSO

An overview of FreeFOAM is given in freefoam(1).

AUTHOR

OpenCFD Ltd.

FREEFOAM

Part of the freefoam(1) suite.

COPYRIGHT

    • Copyright © 2008-2012 Michael Wild.

    • Copyright © 1991-2010 OpenCFD Ltd.